Do I need to update to JB 3GS running 3.1?

Printable View